from flask import Flask , render_template , jsonify
from vectData import get_ready_data
from flask_cors import CORS


app = Flask(__name__)

CORS(app)

@app.route('/')
def index() :
    return render_template("index.html")


@app.route('/article/one')
def articleone():
    return render_template("one.html")


@app.route('/article/two')
def articletwo():
    return render_template("two.html")

@app.route('/data/get/news', methods=['GET'])
def takenews():
    data = get_ready_data()
    return jsonify(data)

app.run(debug=True)